$(document).ready(function(){
var dashboardButtons ={
	"buttonList":[
		{
    	"link":"./follower_alert.html",
		"title": "Alerta Seguidor",
        "id": "button_follower_alert"
    	},
        {
        "link":"./twitter_alert_conf.html",
		"title": "Alerta Twitter",
        "id": "button_twitter_alert"
        },
        {
        "link":"./strawpoll_conf.html",
		"title": "Alerta Strawpoll",
        "id": "button_strawpoll"
        },
        {
        "link":"./follower_list.html",
		"title": "Llista Seguidors",
        "id": "button_follower_list"
        }
	]
}
console.log(dashboardButtons);

function generateButtons(dashboardButtons){
	var twitch_access_token = getToken();
	for(var i = 0; i < dashboardButtons.buttonList.length; i++){
		console.log(dashboardButtons.buttonList[i].link);
	    var theLink = dashboardButtons.buttonList[i].link;
	    var theTitle = dashboardButtons.buttonList[i].title;
	    var theId = dashboardButtons.buttonList[i].id;
	    var html =
	    `
	    <p><a class="dashboard_button" target="_blank" href="${theLink}?twitch_access_token=${twitch_access_token}">${theTitle.toUpperCase()}</a></p>
	    
	    <p><a class="dashboard_edit_button" href="./dashboard.html">Editar ${theTitle}</a></p>
	    `;
	    document.getElementById(theId).innerHTML = html;
	}

	$(".dashboard_edit_button").fancybox();

}

function generateTable(fil, col, callback){
	var count = 0;
	var theTableij='';
	var theTable = `<table>`;
	for(var i = 0; i < fil; i++){
		theTableij = `<tr>`

		theTable = theTable + theTableij;//tr --> fila

		for(var j = 0; j < col; j++){
			var theId;
			if(dashboardButtons.buttonList[count]!=undefined){
				theId = dashboardButtons.buttonList[count].id;
			}else{
				theId = `button_unknowed${i}${j}`;
			}
			
			theTableij = 
			`
			<td>
				<div id="${theId}"></div>

			</td>
			`;
			theTable = theTable + theTableij;//td --> columna
			count++;

		}

		theTableij = `</tr>`;
		theTable = theTable + theTableij;//tr --> fila


	}
	theTableij = `</table>`;
	theTable = theTable + theTableij;

	console.log(theTable);
	document.getElementById("content").innerHTML = theTable;
	callback();

}

function renderUserProfile(){

		var image =
		`
		<img id="user_profile" width="50px" height="50px" src="${getUserProfile()}">

		`;

		var txtUserWelcome = getUser();

		document.getElementById("user_profile").innerHTML = image;//Substituix el html del component en la id user_profile

		document.getElementById("welcome").innerHTML = txtUserWelcome;

}
//=============================================================================

function getLogoutButton(){
	$('#logout_button').hide();
	$('#user_profile_background').on('mouseenter',function(){
		$('#logout_button').fadeIn('fast');
		$('#logout_button').on('mouseleave',function(){
			$('#logout_button').fadeOut('fast');
		});
	});
}

function main(){
	renderUserProfile();
	getLogoutButton();
	var fil = dashboardButtons.buttonList.length;
	var fil = Math.floor(fil/3)+1;
	console.log(fil);
	generateTable(fil,3, function(){
		generateButtons(dashboardButtons);
	});

}
main();


});
