$(document).ready(function(){
var posts = {

	"postList":[
		{
			"title":"Primers pasos",
			"body":"<p>1. Registrar-se en Twitch (http://twitch.tv)</p> <p>2. Iniciar sessió en el botó 'login' </p> <p>3. Quan s'inicie sessió es redirigirà a /dashboard.html. En aquesta plana web hi ha un menú que dóna accés a cadascuna de les alertes. </p> <p>4. Descarregar-se un emissor de vídeo que puga mostrar pàgines web</p> <p>5. Escollir una alerta del menú dahsboard i incrustar l'enllaç d'aquesta en el programa emissor."
		},
		{
			"title":"Programes emissors recomanats",
			"body":"<p>1. OBS (Open Broadcaster Software): https://obsproject.com/ </p> 2. XSplit: https://www.xsplit.com"
		},
		{
			"title":"Com configurar l'alerta de Twitter",
			"body":"<p>Quan es trie l’alerta de Twitter en el menú de la plana web dashboard.html, es redirigirà a un formulari.</p> <p>En aquest sols hi ha un camp en el que s'ha d'introduir el nom del hashtag (sense '#') desitjat.</p>"
		},
		{
			"title":"Com configurar l'alerta de Strawpoll",
			"body":"<p>Quan es trie l’alerta de Strawpoll en el menú de la plana web dashboard.html, es redirigirà a un formulari.</p> <p>En aquest sols hi ha un camp en el que s'ha d'introduir l'enllaç complet de l'enquesta desitjada (per exemple: http://www.strawpoll.me/1112).</p>"

		},
		{
			"title":"Quina utilitat proporciona aquesta web?",
			"body":"<p>L’usuari que transmet, pot interactuar amb els que el visualitzen escrivint per la seua sala de xat o parlant pel micròfon en el directe, però de vegades, aquest no pot estar pendent de les seues xarxes socials (incloent Twitch) perquè també està centrat en jugar al vídeojoc. Aquesta plataforma ofereix una solució per a minimitzar aquest problema i connectar més amb els espectadors: la pàgina web detecta interaccions importants en les diferents xarxes socials, per posteriorment ser mostrades en una plana web que pot incrustar-se en qualsevol programa d'emissió (cal aplicar un filtre de chroma per eliminar el fons verd).</p>"
		},

	]
}

var nPostsPage = 2; //Cantitat de posts per pagina

function main() {
	//loadPosts(1,2);
	//loadAllPosts();

	//changePage(2);
	loadPage(nPostsPage)
	generateNavButtons(nPostsPage);
	
}

function loadPosts(min, max){
	var allPosts = '';
	for (var i = min-1; i < max; i++) {
		if(posts.postList[i]!=undefined){
			var onePost = `
				<div class="post">
					<div class="post_title">
						<p class="post_title">${posts.postList[i].title}</p>
					</div>
					<div id="post_text">
						${posts.postList[i].body}
					</div>		
				</div>
			`;
			allPosts = allPosts + onePost;
		}	

	}
	document.getElementById("content").innerHTML = allPosts;
}

function loadAllPosts(){
	var allPosts = '';
	for (var i = 0; i < posts.postList.length; i++) {
		if(posts.postList[i]!=undefined){
			var onePost = `
				<div class="post">
					<div class="post_title">
						<p class="post_title">${posts.postList[i].title}</p>
					</div>
					<div id="post_text">
						${posts.postList[i].body}
					</div>		
				</div>
			`;
			allPosts = allPosts + onePost;
		}	

	}
	document.getElementById("content").innerHTML = allPosts;
}


function loadPage(postsPerPage){
	if(getValueOfUrl('page')!=undefined && getValueOfUrl('page')!="all"){
		var maxPost = getValueOfUrl('page')*postsPerPage;
		var minPost = maxPost-postsPerPage+1;
		loadPosts(minPost, maxPost);
	}else if(getValueOfUrl('page')=="all"){
		loadAllPosts();
	}else{
		loadPosts(1,postsPerPage);
	}
	
	
	
}


function generateNavButtons(postsPerPage){
	var actualPage;
	var previousPage;
	var nextPage;
	if(getValueOfUrl('page')==undefined || getValueOfUrl('page')==1){
		actualPage = 1;
		previousPage = 1;
		nextPage = actualPage + 1;
	}else if(getValueOfUrl('page')!=undefined && getValueOfUrl('page')!='all'){
	
		actualPage = getValueOfUrl('page');
		actualPage = parseInt(actualPage);
		previousPage = actualPage - 1;
		nextPage = actualPage + 1;
		if(thereAreMorePosts(postsPerPage)==false){
			nextPage = actualPage;

		}

	}

	if(getValueOfUrl('page')=='all'){
		var html =`
			<div class="post">
				<input type=button onClick="parent.location='index.html?page=1'" value='Visualització normal'>
			</div>
			`;
		document.getElementById("nav").innerHTML = html;

	}else{
		var html =`
			<div class="post">
				<input type=button onClick="parent.location='index.html?page=${previousPage}'" value='Anterior'>
				<input type=button onClick="parent.location='index.html?page=${nextPage}'" value='Següent'>
				<input type=button onClick="parent.location='index.html?page=all'" value='Mostrar tots els posts'>

			</div>
			`;
		document.getElementById("nav").innerHTML = html;
	}
	
}

function thereAreMorePosts(postsPerPage){
	var nPosts = posts.postList.length;
	var postsShowed =getValueOfUrl('page')*postsPerPage;
	var thereAre;
	if(postsShowed + postsPerPage - 1 > nPosts || nPosts <= 1 || nPosts==postsShowed || getValueOfUrl('page')=='all'){
		console.log('No hi ha mes post');
		thereAre = false;
	}else{
		thereAre = true;
	}
	return thereAre;
}

main();
});

