$(document).ready(function(){
	/*
	var jsonConsultaStrawpoll = {
		"id": 12723053,
		"title": "Developing Twitch API 1",
		"options": [
			"A",
		    "B",
		    "C",
		    "D",
		    "E",
		    "F",
		    "G",
		    "H",
		    "I",
		    "J"
		],
		"votes": [
			1,
		    0,
		    0,
		    0,
		    0,
		    0,
		    0,
		    0,
		    0,
		    0
	  	],
		"multi": false,
		"dupcheck": "normal",
		"captcha": false
	}*/



	var overlay = {//CONFIGURACIÓ OVERLAY PREDETERMINADA. ES PODRIA IMPLEMENTAR UNA CONSULTA JSON
		"customized": false,
		"text":{
			"position":{
				"x": 100,
				"y": 645
			},
			"properties":{
				"fontSize": "23px",
				"fontFamily": "Gill sans",
				"fontColor": "#454545",
				"lineWidth": 870,
				"lineSeparation": 30
			}
		},
		"image": {
			"src": "../img/strawpoll_alert.png",
			"width": 640,
			"height": 360
		}
	};

	function getStrawpoll(){
		var pollId = getValueOfUrl("poll");
		
		var URI = `https://www.strawpoll.me/api/v2/polls/${pollId}`;
		var elResultat;
		
		$.ajax({
	    	type: 'GET',
	    	url: URI,
	    	async: false,
	    	dataType: 'json',
	    	headers:{
	    		'accept': 'text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8',
	    	},
	    	success: function (resultat) {
	        	elResultat = resultat;
	        	
	    	}
		});


	  return elResultat;
	
	}

	function getTotalVotes(thePoll){
		var total = 0;
		for(var i = 0; i < thePoll.options.length; i++){
			total = thePoll.votes[i] + total;
		}
		return total;
	}

	function toPercent(number, total){
		var x = 0;
		if(total!=0){
			x = number/total*100;
		}
		return x;
	}

	function showAlert(thePoll){
		var thePoll = thePoll;
		var canvas = document.getElementById("canvas");
		var ctx = canvas.getContext("2d");
		var strawpollOverlay = new Overlay(overlay, ctx);
		var strPoll = thePoll.title.toUpperCase()+ ' {<br>} ';
		var strPollX = '';
		var totalVotes = getTotalVotes(thePoll);
		for(var i = 0; i < thePoll.options.length; i++){
			var optionStr = thePoll.options[i];
			var votesStr = Math.round(toPercent(thePoll.votes[i],totalVotes)*10)/10;
			strPollX = `${optionStr} (${votesStr}%)  `;
			strPoll = strPoll+strPollX+' ';
		}
		console.log(strPoll);
		
		strawpollOverlay.refreshOverlay(strPoll,function(){});


	}

	function checkUpdate(){
		var thePoll;
		var totalVotesInit = -1;
		var totalVotesActual = 0;
		setInterval(function(){
			thePoll = getStrawpoll();
			console.log(typeof(getTotalVotes(thePoll)))
			totalVotesActual = getTotalVotes(thePoll);
			if(totalVotesActual > totalVotesInit){
				console.log(`Nous resultats! ${totalVotesInit}`);
				showAlert(thePoll);
				totalVotesInit = getTotalVotes(thePoll);
			}

		}, 15000);
		
	}

	function main(){
		showAlert(getStrawpoll());
		checkUpdate();
		
	}

	main();

	
	
	

	


	


});