$(document).ready(function(){
  //=================================================================
  //INICIALITZAR VARIABLES
  var pastTweetID = 0;
  var actualTweetID = 0;
  var saveListTweets = [];
  var saveListUsers = [];
  const rafaga = 1; //Nombre de tweets que es mostraran quan aparega la alerta

  var overlay = {//CONFIGURACIÓ OVERLAY PREDETERMINADA. ES PODRIA IMPLEMENTAR UNA CONSULTA JSON
    "customized": false,
    "text":{
      "position":{
        "x": 112,
        "y": 645
      },
      "properties":{
        "fontSize": "18px",
        "fontFamily": "Gill sans",
        "fontColor": "#212121",
        "lineWidth": 870,
        "lineSeparation": 24
      }
    },
    "image": {
      "src": "../img/twitter_alert.png",
      "width": 640,
      "height": 360
    }
  };

  var canvas = document.getElementById("canvas");
  var ctx = canvas.getContext("2d");
  let twitterOverlay = new Overlay(overlay,ctx);
  console.log(twitterOverlay);
  //=================================================================



  //=================================================================
  function main(){
    $("#canvas").hide();//Amaga el canvas.
    checkUpdate();
  }
  //=================================================================



  //=================================================================
  //INICIALITZEM PROGRAMA

  main()
  /*
  setTimeout(function(){twitterOverlay.refreshOverlay('tweet 1')}, 5000);
  setTimeout(function(){twitterOverlay.refreshOverlay('tweet 2')}, 10000);
  */

  //=================================================================



  //=================================================================
  //CONSULTA LA API DE TWITTER I AGUARDA EL TWEET MÉS NOU EN UN ARRAY
  function saveOneTweetBackup(){
    var hashtag = getValueOfUrl('hashtag');
    var theTweets;
    var URI = `http://localhost:8080/api/twitter/hashtag/${hashtag}`;
      $.ajax({
        url: URI,
        async: false,
        dataType: 'json',
        headers:{
          'twitter_token': twitter_token
        },

        success: function (tweets) {
          theTweets = tweets;
            actualTweetID = theTweets.statuses[0].id_str;
            if(pastTweetID != actualTweetID){
              saveListUsers.push(theTweets.statuses[0].user.screen_name);
              saveListTweets.push(theTweets.statuses[0].text);
              console.log(theTweets.statuses[0].text);

              console.log('Hi ha tweets nous');

            }
            pastTweetID = theTweets.statuses[0].id_str;
          }//Final success

      });//Final consulta AJAX

    if(saveListUsers.length == rafaga && saveListTweets.length == rafaga){
      renderTweets();
    }

  }
  //=================================================================


  //=================================================================
  //CONSULTA LA API DE TWITTER I AGUARDA EL TWEET MÉS NOU EN UN ARRAY
  function saveOneTweet(){
    getTweetsOfHashtag(function(tweets){
      theTweets = tweets;
      actualTweetID = theTweets.statuses[0].id_str;
      if(pastTweetID != actualTweetID){
        saveListUsers.push(theTweets.statuses[0].user.screen_name);
        saveListTweets.push(theTweets.statuses[0].text);
        console.log(theTweets.statuses[0].text);

        console.log('Hi ha tweets nous');

      }
      pastTweetID = theTweets.statuses[0].id_str;
    });

    if(saveListUsers.length == rafaga && saveListTweets.length == rafaga){
      renderTweets();
    }

  }
  //=================================================================



  //=================================================================
  //EXECUTAR CADA 62 SEGONS saveOneTweet()
  function checkUpdate(){
    setInterval(function(){
      saveOneTweet();
    }, 30000);
  }
  //=================================================================



  //=================================================================
  //MOSTRAR RAFAGA DE TWEETS
  function renderTweets(){
    var nTweet = 0;
    var running = setInterval(function(){
      if(nTweet>rafaga-1){//Es -1 perque el index comença en 0.
        //El paràmetre .length dun array en javascript cona a partir de 1
        saveListUsers = [];
        saveListTweets = [];
        $("#canvas").fadeOut('fast');
        

        clearInterval(running);
      }else{
        var user = saveListUsers[nTweet];
        var text = saveListTweets[nTweet];
        var tweetText = `@${user.toUpperCase()}: ${text}`;
        //document.getElementById("tweet").innerHTML= `<strong>${user}</strong>: <span style="font-style: italic;">${text}</span>`;
        nTweet++;
        twitterOverlay.refreshOverlay(tweetText, function(){

          if(nTweet==1){//Quan es mostre el primer tweet mostrar canvas
            $("#canvas").fadeIn(2000);
          }

        });
      }    
    }, 10000);//Cada 10 segons es recorre una posició del array de tweets que s'han aguardat en saveOneTweet
  }
  //=================================================================



});





//Un usuari --> .statuses[0].user.screen_name

//Twit mes nou:         847160481068568577 --> id_str
//Twit segon mes nou:   847160000703352833
//Twit tercer més nou:  847158329533255681
//El id_str es unic i sincrementa cada volta que hi ha un twit nou

//PRIMER
//AJUNTAR LES CONSULTES EN UN SOL ARRAY.
//SEGON
//DESCARTAR ELS TWEETS DUPLICATS
